- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libwpg::WPGDashArrayPrivate Class Reference

## Public Member Functions
| WPGDashArrayPrivate ()
void | _recalculateDots ()

## Public Attributes
std::vector< double > | dashes
int | dots1
int | dots2
double | dots1len
double | dots2len
double | gap

## Constructor & Destructor Documentation

libwpg::WPGDashArrayPrivate::WPGDashArrayPrivate | ( |  | ) |
| inline

## Member Function Documentation

void libwpg::WPGDashArrayPrivate::_recalculateDots | ( |  | ) |

Referenced by libwpg::WPGDashArray::WPGDashArray().

## Member Data Documentation

std::vector<double> libwpg::WPGDashArrayPrivate::dashes

Referenced by _recalculateDots(), libwpg::WPGDashArray::operator=(), and libwpg::WPGDashArray::WPGDashArray().

int libwpg::WPGDashArrayPrivate::dots1

Referenced by _recalculateDots().

double libwpg::WPGDashArrayPrivate::dots1len

Referenced by _recalculateDots().

int libwpg::WPGDashArrayPrivate::dots2

Referenced by _recalculateDots().

double libwpg::WPGDashArrayPrivate::dots2len

Referenced by _recalculateDots().

double libwpg::WPGDashArrayPrivate::gap

Referenced by _recalculateDots().

The documentation for this class was generated from the following file:

- WPGDashArray.cpp